@echo off
call ..\DefineVersions.bat

cd XtraBars
resgen LocalizationRes.da.resx
al /out:..\da\DevExpress.XtraBars.Resources.Dll /v:%VER_BARS% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraBars.LocalizationRes.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
resgen LocalizationRes.da.resx
al /out:..\da\DevExpress.XtraEditors.Resources.Dll /v:%VER_EDITORS% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraEditors.LocalizationRes.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
resgen LocalizationRes.da.resx
resgen CardViewPrinting.da.resx
resgen GridViewPrinting.da.resx
al /out:..\da\DevExpress.XtraGrid.Resources.Dll /v:%VER_GRID% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraGrid.LocalizationRes.da.resources /embed:CardViewPrinting.da.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.da.resources /embed:GridViewPrinting.da.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
resgen LocalizationRes.da.resx
al /out:..\da\DevExpress.XtraNavBar.Resources.Dll /v:%VER_NAVBAR% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraNavBar.LocalizationRes.da.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
resgen LocalizationRes.da.resx
resgen HeaderFooterForm.da.resx
resgen WatermarkEditorForm.da.resx
al /out:..\da\DevExpress.XtraPrinting.Resources.Dll /v:%VER_PSYS% /culture:da /embed:LocalizationRes.da.resources,LocalizationRes.da.resources /embed:HeaderFooterForm.da.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.da.resources /embed:WatermarkEditorForm.da.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
resgen LocalizationRes.da.resx
resgen WizPageChooseFields.da.resx
resgen WizPageGroupedLayout.da.resx
resgen WizPageGrouping.da.resx
resgen WizPageLabelOptions.da.resx
resgen WizPageLabelType.da.resx
resgen WizPageLayoutBase.da.resx
resgen WizPageReportTitle.da.resx
resgen WizPageStyle.da.resx
resgen WizPageSummary.da.resx
resgen WizPageUngroupedLayout.da.resx
resgen WizPageWelcome.da.resx
resgen XtraReportWizardForm.da.resx
al /out:..\da\DevExpress.XtraReports.Resources.Dll /v:%VER_REPORTS% /culture:da /embed:LocalizationRes.da.resources,LocalizationRes.da.resources  /embed:WizPageChooseFields.da.resources,DevExpress.XtraReports.Design.WizPageChooseFields.da.resources /embed:WizPageGroupedLayout.da.resources,DevExpress.XtraReports.Design.WizPageGroupedLayout.da.resources /embed:WizPageGrouping.da.resources,DevExpress.XtraReports.Design.WizPageGrouping.da.resources /embed:WizPageLabelOptions.da.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.da.resources /embed:WizPageLabelType.da.resources,DevExpress.XtraReports.Design.WizPageLabelType.da.resources /embed:WizPageLayoutBase.da.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.da.resources /embed:WizPageReportTitle.da.resources,DevExpress.XtraReports.Design.WizPageReportTitle.da.resources /embed:WizPageStyle.da.resources,DevExpress.XtraReports.Design.WizPageStyle.da.resources /embed:WizPageSummary.da.resources,DevExpress.XtraReports.Design.WizPageSummary.da.resources /embed:WizPageUngroupedLayout.da.resources,DevExpress.XtraReports.Design.WizPageUngroupedLayout.da.resources /embed:WizPageWelcome.da.resources,DevExpress.XtraReports.Design.WizPageWelcome.da.resources /embed:XtraReportWizardForm.da.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
resgen LocalizationRes.da.resx
al /out:..\da\DevExpress.XtraTreeList.Resources.Dll /v:%VER_TREELIST% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraTreeList.LocalizationRes.da.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraVerticalGrid
resgen LocalizationRes.da.resx
al /out:..\da\DevExpress.XtraVerticalGrid.Resources.Dll /v:%VER_VERTG% /culture:da /embed:LocalizationRes.da.resources,DevExpress.XtraVerticalGrid.Localization.LocalizationRes.da.resources /keyfile:%KEYFILE%
del *.resources
cd..