@echo off
call ..\DefineVersions.bat

cd XtraBars
resgen LocalizationRes.de.resx
al /out:..\de\DevExpress.XtraBars.Resources.Dll /v:%VER_BARS% /culture:de /embed:LocalizationRes.de.resources,DevExpress.XtraBars.LocalizationRes.de.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraEditors
resgen LocalizationRes.de.resx
al /out:..\de\DevExpress.XtraEditors.Resources.Dll /v:%VER_EDITORS% /culture:de /embed:LocalizationRes.de.resources,DevExpress.XtraEditors.LocalizationRes.de.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraGrid
resgen LocalizationRes.de.resx
resgen CardViewPrinting.de.resx
resgen GridViewPrinting.de.resx
al /out:..\de\DevExpress.XtraGrid.Resources.Dll /v:%VER_GRID% /culture:de /embed:LocalizationRes.de.resources,DevExpress.XtraGrid.LocalizationRes.de.resources /embed:CardViewPrinting.de.resources,DevExpress.XtraGrid.Frames.CardViewPrinting.de.resources /embed:GridViewPrinting.de.resources,DevExpress.XtraGrid.Frames.GridViewPrinting.de.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraNavBar
resgen LocalizationRes.de.resx
al /out:..\de\DevExpress.XtraNavBar.Resources.Dll /v:%VER_NAVBAR% /culture:de /embed:LocalizationRes.de.resources,DevExpress.XtraNavBar.LocalizationRes.de.resources /keyfile:%KEYFILE%
del *.resources
cd..


cd XtraPrinting
resgen LocalizationRes.de.resx
resgen HeaderFooterForm.de.resx
resgen WatermarkEditorForm.de.resx
al /out:..\de\DevExpress.XtraPrinting.Resources.Dll /v:%VER_PSYS% /culture:de /embed:LocalizationRes.de.resources,LocalizationRes.de.resources /embed:HeaderFooterForm.de.resources,DevExpress.XtraPrinting.Native.WinControls.HeaderFooterForm.de.resources /embed:WatermarkEditorForm.de.resources,DevExpress.XtraPrinting.Native.WinControls.WatermarkEditorForm.de.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraReports
resgen LocalizationRes.de.resx
resgen WizPageChooseFields.de.resx
resgen WizPageGrouping.de.resx
resgen WizPageLabelOptions.de.resx
resgen WizPageLabelType.de.resx
resgen WizPageLayoutBase.de.resx
resgen WizPageReportTitle.de.resx
resgen WizPageStyle.de.resx
resgen WizPageSummary.de.resx
resgen WizPageWelcome.de.resx
resgen XtraReportWizardForm.de.resx
al /out:..\de\DevExpress.XtraReports.Resources.Dll /v:%VER_REPORTS% /culture:de /embed:LocalizationRes.de.resources,LocalizationRes.de.resources  /embed:WizPageChooseFields.de.resources,DevExpress.XtraReports.Design.WizPageChooseFields.de.resources /embed:WizPageGrouping.de.resources,DevExpress.XtraReports.Design.WizPageGrouping.de.resources /embed:WizPageLabelOptions.de.resources,DevExpress.XtraReports.Design.WizPageLabelOptions.de.resources /embed:WizPageLabelType.de.resources,DevExpress.XtraReports.Design.WizPageLabelType.de.resources /embed:WizPageLayoutBase.de.resources,DevExpress.XtraReports.Design.WizPageLayoutBase.de.resources /embed:WizPageReportTitle.de.resources,DevExpress.XtraReports.Design.WizPageReportTitle.de.resources /embed:WizPageStyle.de.resources,DevExpress.XtraReports.Design.WizPageStyle.de.resources /embed:WizPageSummary.de.resources,DevExpress.XtraReports.Design.WizPageSummary.de.resources /embed:WizPageWelcome.de.resources,DevExpress.XtraReports.Design.WizPageWelcome.de.resources /embed:XtraReportWizardForm.de.resources,DevExpress.XtraReports.Design.XtraReportWizardForm.de.resources /keyfile:%KEYFILE%
del *.resources
cd..

cd XtraTreeList
resgen LocalizationRes.de.resx
al /out:..\de\DevExpress.XtraTreeList.Resources.Dll /v:%VER_TREELIST% /culture:de /embed:LocalizationRes.de.resources,DevExpress.XtraTreeList.LocalizationRes.de.resources /keyfile:%KEYFILE%
del *.resources
cd..
